<?php 
function numbertoprix($val,$prec=0)
{
	$inf = $val-floor($val);
	if($inf>0) $prec = 2;
	return number_format(doubleval($val),$prec,'.', ' ').' '.DEVISE;
}
function numbertostr($val,$prec=0)
{
	$inf = $val-floor($val);
	if($inf>0) $prec = 2;
	return number_format(doubleval($val),$prec,'.', ' ');
}
function prixtonumber($val,$nb=0)
{
	$val = str_replace(' ','',$val);
	$val = str_replace(',','.',$val);
	return doubleval($val);
}

?>